## org.apache.batik.dom.svg
Interface DomExtension

All Known Implementing Classes:
  BatikDomExtension

public interface DomExtension

This is a Service interface for classes that want to extend the functionality of the SVGOMDocument, to support new tags in the DOM tree.

Method Summary
`java.lang.String` `getAuthor()` This should return the individual or company name responsible for the this implementation of the extension.
`java.lang.String` `getContactAddress()` This should return a contact address (usually an e-mail address).
`java.lang.String` `getDescription()` Human readable description of the extension.
`float` `getPriority()` Return the priority of this Extension.
`java.lang.String` `getURL()` This should return a URL where information can be obtained on this extension.
`void` `registerTags(ExtensibleSVGDOMImplementation di)` This method should update the DOMImplementation with support for the tags in this extension.

Method Detail

### getPriority

    public float getPriority()

  Return the priority of this Extension. Extensions are registered from lowest to highest priority. So if for some reason you need to come before/after another existing extension make sure your priority is lower/higher than theirs.

### getAuthor

    public java.lang.String getAuthor()

  This should return the individual or company name responsible for the this implementation of the extension.

### getContactAddress

    public java.lang.String getContactAddress()

  This should return a contact address (usually an e-mail address).

### getURL

    public java.lang.String getURL()

  This should return a URL where information can be obtained on this extension.

### getDescription

    public java.lang.String getDescription()

  Human readable description of the extension. Perhaps that should be a resource for internationalization? (although I suppose it could be done internally)

### registerTags

    public void registerTags(ExtensibleSVGDOMImplementation di)

  This method should update the DOMImplementation with support for the tags in this extension. In some rare cases it may be necessary to replace existing tag handlers, although this is discouraged. This is called before the DOMImplementation starts.

  Parameters:
    `di` - The DOMImplementation instance to be updated

Copyright © 2004 Apache Software Foundation. All Rights Reserved.